<%@page import="javax.jdo.PersistenceManager"%>
<%
/************************************************************@@
  * Program Name	: doc_list.jsp
  * Description		: /집계자/내문서함/등록함/문서 목록
  * Author			: 기현테크
  * Create Date		: 2004.10.11
  * History			:
@@************************************************************/
%>

<%@ page contentType="text/html; charset=UTF-8"
	import="kr.co.kihyun.lang.MString" import="kr.co.kihyun.lang.MLong"
	import="kr.co.kihyun.text.html.TagFilter"
	import="kr.co.kihyun.beans.user.UserView"
	
    import="javax.jdo.Transaction"
	import="kr.co.kihyun.beans.entity.util.*"
	import="kr.co.kihyun.beans.entity.TotDoc"%>
<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>
<%
PersistenceManager pm = new MPersistenceManager(PMF.get().getPersistenceManager());
try{
	/******* Parameter *********/
	Long docID = MLong.parseLong(request.getParameter("docID"),null);
	String type = MString.checkNull(request.getParameter("type"));
	/*********** Doc View vlaues ***********/
	String docName = "";
	String docForm = "";
	boolean isDynaTable = false;

	TotDoc totDoc = pm.getObjectById(TotDoc.class, docID);
	docForm = TagFilter.convertSpace(totDoc.getForm());
	%>

<tr>
	<td colspan="4" valign="top">
	<table class="kecttep_title" width="100%" border="0" cellspacing="0"
		cellpadding="0">
		<tr>
			<td valign="top">
			<table class="kecttep_title" width="100%" border="0" cellspacing="0"
				cellpadding="0">
				<tr>
					<!---- 본문  시작---->
					<td valign="top">
					<div id="formDiv"
						style="padding-left: 10; padding-top:20; width: <%=session.getAttribute("formWidth") %>; height: <%if(type.equals("totper")){%><%=session.getAttribute("totperDocViewHeight") %><%}else if(type.equals("repoper")){%><%=session.getAttribute("repoperViewHeight")%><%}else{%><%=session.getAttribute("totperFormDocViewHeight") %><%}%>; overflow-x: auto; overflow-y: auto;">
					<!--------------------------내용 들어갈 부분 시작------------------------------->
					<%= docForm %> <!--------------------------내용 들어갈 부분  끝------------------------------->
					</div>
					</td>
					<!---- 본문  끝---->
				</tr>
			</table>
			</td>
		</tr>
	</table>
	</td>
</tr>

<%
}catch(Exception ex){
	ex.printStackTrace();
	out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
}finally{
	pm.close();
}
%>
